//************************************************************************************************
//
//    NOMBRE DEL ARCHIVO: CMatriz.h
//    MDULO:
//    FECHA: 16-05-05
//    AUTOR: Arturo Gil Aparicio
//    DESCRIPCIN: Declaracin de la clase CMatriz.
//
//************************************************************************************************

#ifndef __CMATRIZ_H__
#define __CMATRIZ_H__

//--------------------------------------------------------------------
// Bloque de definiciones  comunes
//--------------------------------------------------------------------
// Definicin de constantes
#include "..\inc\Complejo.h"

// Definicin de macros
#define TAM_DEF 2

// Definicin de tipos de datos y clases
class CMatriz
{
      private:
         int fil;
	     int col;
         CComplejo **mat;
               
      public:
       	  CMatriz(int fil=TAM_DEF, int col=TAM_DEF); // constructor con parmetro por defecto
		  CMatriz(CMatriz &orig);	//constructor copia
          ~CMatriz(void);                       
            
		  CMatriz operator + (CMatriz &der);
		  CMatriz operator - (CMatriz &der);
		  CMatriz operator * (CMatriz &der);

		  CMatriz& operator = (const CMatriz &der);

          void Visualizar(void); // visualiza los datos de la matriz
		  void IntroducirValores(void);
		  
}; // fin de la clase CMatriz	


//--------------------------------------------------------------------
#ifndef    __CMATRIZ_CPP__
//--------------------------------------------------------------------
// Bloque de definiciones externas

// Variables Globales externas

//--------------------------------------------------------------------
#else
//--------------------------------------------------------------------
// Bloque de definiciones internas

// Prototipos de funciones internas

//--------------------------------------------------------------------
#endif		// Fin bloque de definiciones internas
#endif		// Fin bloque de la cabecera
